summaryrefslogtreecommitdiffstats
path: root/academic/R
diff options
context:
space:
mode:
author Joel J. Adamson2010-05-12 23:27:35 +0200
committer David Somero2010-05-12 23:27:35 +0200
commit12627a9ec0db47b4cbde20c4cd85ce0a10d7cc3c (patch)
tree6fbd3a8725f49285ffe82798cbfa1e74e0625c5a /academic/R
parentd44e143d9083a0ab78ab996489e6ca6718e7d8fe (diff)
downloadslackbuilds-12627a9ec0db47b4cbde20c4cd85ce0a10d7cc3c.tar.gz
academic/R: Added to 12.2 repository
Diffstat (limited to 'academic/R')
-rw-r--r--academic/R/R.SlackBuild82
-rw-r--r--academic/R/R.info8
-rw-r--r--academic/R/README12
-rw-r--r--academic/R/slack-desc11
4 files changed, 113 insertions, 0 deletions
diff --git a/academic/R/R.SlackBuild b/academic/R/R.SlackBuild
new file mode 100644
index 0000000000..b0f8b51812
--- /dev/null
+++ b/academic/R/R.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for R
+# Written by Joel J. Adamson
+# Modified by SlackBuilds.org
+
+PRGNAM=R
+VERSION=2.9.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# adjust the path variable; you need pdflatex to build the LaTeX
+# documentation
+PATH=/usr/share/texmf/bin:$PATH
+
+# Set configure options
+# If your app is written in C++, you'll also need to add a line for CXXFLAGS
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-perl=/usr/bin/perl \
+ --enable-R-shlib \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/share/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mv $PKG/usr/share/info $PKG/usr
+rm -f $PKG/usr/info/dir*
+gzip -9 $PKG/usr/info/*.info*
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/lib/R/doc $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+chown -R root:root $PKG/usr/doc
+( cd $PKG/usr/lib/R ; ln -s /usr/doc/$PRGNAM-$VERSION doc )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/R/R.info b/academic/R/R.info
new file mode 100644
index 0000000000..be724eccf3
--- /dev/null
+++ b/academic/R/R.info
@@ -0,0 +1,8 @@
+PRGNAM="R"
+VERSION="2.9.0"
+HOMEPAGE="http://www.r-project.org"
+DOWNLOAD="http://mirrors.ibiblio.org/pub/mirrors/CRAN/src/base/R-2/R-2.9.0.tar.gz"
+MD5SUM="a5b79a2bc1372136cda4674b5f46d146"
+MAINTAINER="Joel J. Adamson"
+EMAIL="adamsonj@email.unc.edu"
+APPROVED="dsomero"
diff --git a/academic/R/README b/academic/R/README
new file mode 100644
index 0000000000..394f8a7c8e
--- /dev/null
+++ b/academic/R/README
@@ -0,0 +1,12 @@
+R Statistical Programming Language <www.r-project.org>
+
+R is a language and environment for statistical computing and
+graphics. It is a GNU project which is similar to the S language and
+environment which was developed at Bell Laboratories (formerly AT&T,
+now Lucent Technologies) by John Chambers and colleagues. R can be
+considered as a different implementation of S. There are some
+important differences, but much code written for S runs unaltered
+under R.
+
+Package built by Joel J. Adamson <sparrow1240@gmail.com>
+on Slackware 12.0
diff --git a/academic/R/slack-desc b/academic/R/slack-desc
new file mode 100644
index 0000000000..47f1ed1503
--- /dev/null
+++ b/academic/R/slack-desc
@@ -0,0 +1,11 @@
+R: R Statistical Programming Language <www.r-project.org>
+R:
+R: R is a language and environment for statistical computing and
+R: graphics. It is a GNU project which is similar to the S language
+R: and environment which was developed at Bell Laboratories (formerly
+R: AT&T, now Lucent Technologies) by John Chambers and colleagues. R
+R: can be considered as a different implementation of S. There are
+R: some important differences, but much code written for S runs
+R: unaltered under R.
+R:
+R: Package built by Joel J. Adamson <sparrow1240@gmail.com>